> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Fetch historical revisions of a moderation rule.

# Get Rule Revisions



## OpenAPI

````yaml get /moderation/rules/{ruleId}/revisions
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/rules/{ruleId}/revisions:
    get:
      tags:
        - Moderation
      summary: Get Rule Revisions
      description: Fetches a rule's revisions.
      operationId: list-rule-revisions
      parameters:
        - $ref: ee546f51-609a-4678-ace1-f9ad12367ad5
        - $ref: db3a4af0-bd1a-4f5d-a74f-432e67f988cd
        - $ref: bb9df459-4a04-49fb-b652-33976e5a11f8
        - $ref: 126b853d-b359-47e6-ae4f-3c334f156a31
      responses:
        '200':
          description: List Rule revisions
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/metaSchema'
                    type: object
                type: object
              example:
                data:
                  - id: moderation-test
                    name: Video Moderation
                    description: AI-powered video moderation to detect unsafe content.
                    enabled: true
                    conditions:
                      - id: 1
                        isKeywordsReferencePresent: false
                        isMediaPresent: false
                        entity: message
                        operand: text
                        category: word
                        operator: equals
                        value:
                          - paris
                    action:
                      - blockMessage
                    active: true
                    createdAt: 1720011899
                    updatedAt: 1720011905
                    revisionId: 253179cf5f665257_moderation-test_2
                  - id: moderation-test
                    name: Video Moderation
                    description: AI-powered video moderation to detect unsafe content.
                    enabled: true
                    conditions:
                      - id: 1
                        isKeywordsReferencePresent: false
                        isMediaPresent: true
                        entity: message
                        operand: image
                        category: word
                        operator: contains
                        value:
                          - violence_greaterThan_30
                        message:
                          - >-
                            Image contains violence with confidence greater than
                            30
                    action:
                      - blockMessage
                    active: false
                    createdAt: 1720011899
                    updatedAt: 1720011899
                    revisionId: 253179cf5f665257_moderation-test_1
                meta:
                  current:
                    limit: 10
                    count: 2
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object
    metaSchema:
      properties:
        pagination:
          properties:
            total:
              type: integer
            count:
              type: integer
            per_page:
              type: integer
            current_page:
              type: integer
            total_pages:
              type: integer
          type: object
      type: object

````